# oneds-mrproper

Cleaning utility for OpenNebula datastores.

Cleans forgotten images of image datastores, directories of system datastores and empty unused datastore directories.

[![Gem Version](https://fury-badge.herokuapp.com/rb/oneds-mrproper.png)](https://badge.fury.io/rb/oneds-mrproper)

##Requirements
* Ruby >= 1.9.3

###OpenNebula backend
* [OpenNebula](http://opennebula.org/) >= 5.2 (doesn't have to be present on the same machine)

## Installation
###From RubyGems.org
To install the most recent stable version
```bash
gem install oneds-mrproper
```

###From source (dev)
**Installation from source should never be your first choice! Especially, if you are not
familiar with RVM, Bundler, Rake and other dev tools for Ruby!**

**However, if you wish to contribute to our project, this is the right way to start.**

To build and install the bleeding edge version from master

```bash
git clone git://github.com/Misenko/oneds-mrproper.git
cd oneds-mrproper
gem install bundler
bundle install
```

##Usage
oneds-mrproper is run with executable `oneds-mrproper`. For further assistance run `oneds-mrproper help`:
```bash
$ oneds-mrproper help

Commands:
  oneds-mrproper clean           # Cleaning datastores
  oneds-mrproper help [COMMAND]  # Describe available commands or one specific command

Options:
  [--dry-run], [--no-dry-run]  # Runs oneds-mrproper without modifying anything
  [--debug], [--no-debug]      # Runs oneds-mrproper in debug mode
  [--info], [--no-info]        # Runs oneds-mrproper in info mode
```
oneds-mrproper cleaning is started with `clean` command (command is default and can be omitted)
```bash
$ oneds-mrproper help clean

Usage:
  oneds-mrproper clean

Options:
  [--system], [--no-system]        # Clean also system datastores
                                   # Default: true
  [--image], [--no-image]          # Clean also image datastores
                                   # Default: true
  [--directory], [--no-directory]  # Clean also forgotten datastore directories
                                   # Default: true
  [--one-endpoint=ONE-ENDPOINT]    # OpenNebula endpoint
  [--one-secret=ONE-SECRET]        # OpenNebula endpoint
  [--dry-run], [--no-dry-run]      # Runs oneds-mrproper without modifying anything
  [--debug], [--no-debug]          # Runs oneds-mrproper in debug mode
  [--info], [--no-info]            # Runs oneds-mrproper in info mode

Cleaning datastores
```

## Contributing
1. Fork it ( https://github.com/Misenko/oneds-mrproper/fork )
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create a new Pull Request
